Name:           simple-mtpfs
Version:        0.4.0
Release:        %mkrel 1
Summary:        Simple MTP fuse filesystem driver
License:        GPL-2.0-or-later
Group:          File tools
URL:            https://github.com/phatina/simple-mtpfs
Source:         https://github.com/phatina/simple-mtpfs/archive/v%{version}.tar.xz
Patch0:         simple-mtpfs-0.4-fixbuild.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(fuse)
BuildRequires:  pkgconfig(libmtp)

%description
SIMPLE-MTPFS (Simple Media Transfer Protocol FileSystem) is a file system for
Linux (and other operating systems with a FUSE implementation, such as Mac OS X
or FreeBSD) capable of operating on files on MTP devices attached via USB to
local machine. On the local computer where the SIMPLE-MTPFS is mounted, the
implementation makes use of the FUSE (Filesystem in Userspace) kernel module.
The practical effect of this is that the end user can seamlessly interact with
MTP device files.

%prep
%setup -q
%apply_patches

%build
autoreconf --install --force
%configure2_5x \
    --with-tmpdir=/var/tmp
make %{?_smp_mflags}

%install
%make_install

%files
%{_bindir}/%{name}
%{_mandir}/man1/simple-mtpfs.1.bz2

%changelog
* Thu Dec 29 2022 yodelu 0.4-1pclos2023
- import
